SoTextOutlineEnabledElement(3)

NAME
SoTextOutlineEnabledElement - The SoTextOutlineEnabledElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoTextOutlineEnabledElement.h>

Inherits SoInt32Element.

  Public Member Functions
virtual void init (SoState *state)
virtual void push (SoState *state)
FIXME: write doc.
virtual void pop (SoState *state, const SoElement *prevTopElement)
FIXME: write doc.

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, SoNode *const node, const SbBool enabled)
FIXME: write doc.
static void set (SoState *const state, const SbBool enabled)
static SbBool get (SoState *const state)
static SbBool getDefault (void)

  Protected Member Functions
virtual ~SoTextOutlineEnabledElement ()

  Additional Inherited Members

Detailed Description

The SoTextOutlineEnabledElement class is yet to be documented. FIXME: write doc.

Since
    Coin 1.0

    TGS Inventor 2.4

Constructor & Destructor Documentation

  SoTextOutlineEnabledElement::~SoTextOutlineEnabledElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoTextOutlineEnabledElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoTextOutlineEnabledElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoTextOutlineEnabledElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoTextOutlineEnabledElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoTextOutlineEnabledElement::init (SoState * state) [virtual]
Initializes the element to its default value. The default value is FALSE.

Reimplemented from SoInt32Element.

  void SoTextOutlineEnabledElement::push (SoState * state) [virtual]

FIXME: write doc.

Reimplemented from SoElement.

  void SoTextOutlineEnabledElement::pop (SoState * state, const SoElement * prevTopElement) [virtual]

FIXME: write doc.

Reimplemented from SoElement.

  void SoTextOutlineEnabledElement::set (SoState *const state, const SbBool enabled) [static]
FIXME: write doc.

  SbBool SoTextOutlineEnabledElement::get (SoState *const state) [static]
FIXME: write doc.

  SbBool SoTextOutlineEnabledElement::getDefault (void) [static]
FIXME: write doc.

Author

Generated automatically by Doxygen for Coin from the source code.